﻿namespace File_Watcher.Infineon.Monitoring.MonA;

public interface IMonIn
{
    Task<HttpResponseMessage> SendStatus(string site, string resource, string stateName, State state);

    Task<HttpResponseMessage> SendStatus(string site,
                                         DateTime timeStamp,
                                         string resource,
                                         string stateName,
                                         State state);

    Task<HttpResponseMessage> SendStatus(string site,
                                         string resource,
                                         string stateName,
                                         State state,
                                         string description);

    Task<HttpResponseMessage> SendStatus(string site,
                                         DateTime timeStamp,
                                         string resource,
                                         string stateName,
                                         State state,
                                         string description);

    Task<HttpResponseMessage> SendStatus(string site,
                                         string resource,
                                         string subResource,
                                         string stateName,
                                         State state);

    Task<HttpResponseMessage> SendStatus(string site,
                                         DateTime timeStamp,
                                         string resource,
                                         string subResource,
                                         string stateName,
                                         State state);

    Task<HttpResponseMessage> SendStatus(string site,
                                         string resource,
                                         string subResource,
                                         string stateName,
                                         State state,
                                         string description);

    Task<HttpResponseMessage> SendStatus(string site,
                                         DateTime? timeStamp,
                                         string resource,
                                         string subResource,
                                         string stateName,
                                         State state,
                                         string description);

    Task<HttpResponseMessage> SendPerformanceMessage(string site,
                                                     string resource,
                                                     string performanceName,
                                                     double value);

    Task<HttpResponseMessage> SendPerformanceMessage(string site,
                                                     DateTime? timeStamp,
                                                     string resource,
                                                     string performanceName,
                                                     double value);

    Task<HttpResponseMessage> SendPerformanceMessage(string site,
                                                     string resource,
                                                     string performanceName,
                                                     double value,
                                                     string description);

    Task<HttpResponseMessage> SendPerformanceMessage(string site,
                                                     DateTime? timeStamp,
                                                     string resource,
                                                     string performanceName,
                                                     double value,
                                                     string description);

    Task<HttpResponseMessage> SendPerformanceMessage(string site,
                                                     DateTime? timeStamp,
                                                     string resource,
                                                     string performanceName,
                                                     double value,
                                                     int? interval);

    Task<HttpResponseMessage> SendPerformanceMessage(string site,
                                                     string resource,
                                                     DateTime? timeStamp,
                                                     string performanceName,
                                                     double value,
                                                     string unit);

    Task<HttpResponseMessage> SendPerformanceMessage(string site,
                                                     DateTime? timeStamp,
                                                     string resource,
                                                     string performanceName,
                                                     double value,
                                                     string unit,
                                                     int? interval);

    Task<HttpResponseMessage> SendPerformanceMessage(string site,
                                                     string resource,
                                                     string subResource,
                                                     string performanceName,
                                                     double value);

    Task<HttpResponseMessage> SendPerformanceMessage(string site,
                                                     DateTime? timeStamp,
                                                     string resource,
                                                     string subResource,
                                                     string performanceName,
                                                     double value);

    Task<HttpResponseMessage> SendPerformanceMessage(string site,
                                                     string resource,
                                                     string subResource,
                                                     string performanceName,
                                                     double value,
                                                     string description);

    Task<HttpResponseMessage> SendPerformanceMessage(string site,
                                                     DateTime? timeStamp,
                                                     string resource,
                                                     string subResource,
                                                     string performanceName,
                                                     double value,
                                                     int? interval);

    Task<HttpResponseMessage> SendPerformanceMessage(string site,
                                                     DateTime? timeStamp,
                                                     string resource,
                                                     string subResource,
                                                     string performanceName,
                                                     double value,
                                                     string unit);

    Task<HttpResponseMessage> SendPerformanceMessage(string site,
                                                     DateTime? timeStamp,
                                                     string resource,
                                                     string subResource,
                                                     string performanceName,
                                                     double value,
                                                     string description,
                                                     string unit,
                                                     int? interval);
}