using System.Text.Json;
using System.Text.Json.Serialization;

namespace File_Watcher.Models;

public record IsoConfiguration(string DestinationDirectory,
                               string SourceDirectory)
{

    public override string ToString()
    {
        string result = JsonSerializer.Serialize(this, IsoConfigurationSourceGenerationContext.Default.IsoConfiguration);
        return result;
    }

}

[JsonSourceGenerationOptions(WriteIndented = true)]
[JsonSerializable(typeof(IsoConfiguration))]
internal partial class IsoConfigurationSourceGenerationContext : JsonSerializerContext
{
}