using System.Text.Json;
using System.Text.Json.Serialization;

namespace File_Watcher.Models;

public record StratusConfiguration(int Days,
                                   string Destination,
                                   string FileDelimiterPattern,
                                   string WatchFile)
{

    public override string ToString()
    {
        string result = JsonSerializer.Serialize(this, StratusConfigurationSourceGenerationContext.Default.StratusConfiguration);
        return result;
    }

}

[JsonSourceGenerationOptions(WriteIndented = true)]
[JsonSerializable(typeof(StratusConfiguration))]
internal partial class StratusConfigurationSourceGenerationContext : JsonSerializerContext
{
}