using System.Text.Json;
using System.Text.Json.Serialization;

namespace File_Watcher.Models;

public record WaferCounterConfiguration(string Destination,
                                        bool MatchPath)
{

    public override string ToString()
    {
        string result = JsonSerializer.Serialize(this, WaferCounterConfigurationSourceGenerationContext.Default.WaferCounterConfiguration);
        return result;
    }

}

[JsonSourceGenerationOptions(WriteIndented = true)]
[JsonSerializable(typeof(WaferCounterConfiguration))]
internal partial class WaferCounterConfigurationSourceGenerationContext : JsonSerializerContext
{
}