using System.Text.Json;
using System.Text.Json.Serialization;

namespace File_Watcher.Models;

public record TransmissionControlProtocolConfiguration(string Destination,
                                                       string GhostPCLFileName,
                                                       string IPAddress,
                                                       int Port,
                                                       bool Server)
{

    public override string ToString()
    {
        string result = JsonSerializer.Serialize(this, TransmissionControlProtocolConfigurationSourceGenerationContext.Default.TransmissionControlProtocolConfiguration);
        return result;
    }

}

[JsonSourceGenerationOptions(WriteIndented = true)]
[JsonSerializable(typeof(TransmissionControlProtocolConfiguration))]
internal partial class TransmissionControlProtocolConfigurationSourceGenerationContext : JsonSerializerContext
{
}